localization

Manage localization packages

Garrett Honeycutt

ghoneycutt

9,799 downloads

4,826 latest version

4.3 quality score

Version information

  • 1.2.0 (latest)
  • 1.1.0
  • 1.0.1
released Feb 27th 2017
This version is compatible with:
  • Puppet Enterprise 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 3.0.0 < 5.0.0
  • RedHat
    ,
    CentOS
    ,
    OracleLinux
    ,
    Scientific

Start using this module

Documentation

ghoneycutt/localization — version 1.2.0 Feb 27th 2017

puppet-module-localization

===

Build Status

Ensure installation of language related packages.

===

Compatibility


This module is built for use with Puppet v3 and v4 on systems that can specify a list of packages to be ensured.

===

Usage

include ::localization

Parameters

Class: localization

languages

Hash of languages with their respective packages.

  • Default: undef

Define: localization::lang

packages

Required string or array of packages to be installed.

===

Example Hiera configuration

Install Swedish language on EL 5

localization::languages:
  'sv':
    packages:
      - aspell-sv
      - kde-i18n-Swedish

Install Swedish language on EL 6

localization::languages:
  'sv':
    packages:
      - eclipse-nls-sv
      - hunspell-sv
      - kde-i18n-Swedish
      - kde-l10n-Swedish